/*
 * widgets.js
 * requiert jQuery - http://jquery.com
 */

// Langue du document
var lang = $('html').attr('lang');

// Niveaux de redimensionnement du texte
var textSize = ['medium', 'large', 'largest'];
var currentSize = 'medium';

// Traductions des attributs "title"

var strPrint = {
	'fr': 'Imprimer ce document',
	'en': 'Print this document',
	'es': 'Imprimir este documento',
	'it': 'Stampare questo documento',
	'de': 'Dieses Dokument zu drucken'
	};

var strTextSize = {
	'medium': {
		'fr': 'Taille du texte : normale',
		'en': 'Normal text size',
		'es': '',
		'it': '',
		'de': ''
		},
	'large': {
		'fr': 'Taille du texte : grande',
		'en': 'Large text size',
		'es': '',
		'it': '',
		'de': ''
		},
	'largest': {
		'fr': 'Taille du texte : tr\u00E8s grande',
		'en': 'Largest text size',
		'es': '',
		'it': '',
		'de': ''
		}
	};

// Redimensionne le texte
function setTextSize(e) {
	$('div.wResizable').attr('class', 'wResizable ' + e.data.size);
	$('#widgets a').removeClass();
	$('#wTextSize-' + e.data.size).addClass('current');
	return false;
}

$(document).ready(function() {

	if ($('#widgets').is('div')) {
	
		// Taille du texte par defaut
		$('div.wResizable').addClass(currentSize);
		
		// Bouton Imprimer
		$('<a></a>')
			.appendTo('#widgets')
			.attr('id', 'wPrint')
			.attr('href', document.location)
			.attr('title', strPrint[lang])
			.bind('click', function() {
				window.print();
				return false;
			});
		
		// Boutons Taille du texte
		for (var i = 0; i < textSize.length; i++) {
			$('<a></a>')
				.appendTo('#widgets')
				.attr('id', 'wTextSize-' + textSize[i])
				.attr('href', document.location)
				.attr('class', function() {
					if (textSize[i] == currentSize) { return 'current'; }
				})
				.attr('title', strTextSize[textSize[i]][lang])
				.bind('click', {size:textSize[i]}, setTextSize);
		}
	}
	
});
